Bug 60966 - Provide a way to disable initial delay for displaying the progress monitor
Provide a way to disable initial delay for displaying the progress monitor
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Progress
5.x
All All
: P3 (vote)
: 5.x
Assigned To: Milos Kleint
issues@platform
: API, API_REVIEW_FAST
Depends on:
Blocks: 58882
  Show dependency treegraph
 
Reported: 2005-07-14 10:58 UTC by Sherold Dev
Modified: 2008-12-22 22:46 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
api diff (4.92 KB, patch)
2005-09-09 08:30 UTC, Milos Kleint
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sherold Dev 2005-07-14 10:58:51 UTC
Please provide a way to disable or specify initial delay for displaying the
progress monitor. It should be possible to display it instantly.

We need this in order to give user an instant feedback when starting, stopping
or deploying to a server. Currently there seems to be a 3-5 second delay before
the progress monitor is displayed in the status bar and during that time user
doesn't know what is going on.
Comment 1 mslama 2005-08-02 15:52:35 UTC
Please consider increase priority and/or type of this issue as with current
delay it is not nice when using it in modal dialog as necessary in issue #58882
when used for first opening Help window when helpsets are loaded. In my
experiment I changed TIMER_QUANTUM to 10 and INITIAL_DELAY to 50 and it works
fine. (Though not sure if both values must be changed. I suppose if I do not use
progress with work units ie. do not call start(int) and progress(int) methods
TIMER_QUANTUM need not be changed.
Comment 2 Jiri Rechtacek 2005-08-18 08:45:03 UTC
It's a defect to me. I have to use a silly workaround in Autoupdate and wait
INITIAL_DELAY to force to show finished state.
Comment 3 Milos Kleint 2005-09-07 16:50:51 UTC
for dialog placed progress bars the issue should be fixed already. no api
required for that.

for status bar placed items I think we need to add an API to progresshandle.
something like setInitialDelay(int) where the parameter will be the minimum
duration of the task that is required in order to show up in status bar.
Comment 4 Milos Kleint 2005-09-09 08:30:23 UTC
Created attachment 24650 [details]
api diff
Comment 5 Milos Kleint 2005-09-09 08:32:21 UTC
the proposed API change is attached, please review.

setInitialDelay(int) was added both to ProgressHandle and
AggregateProgressHandle allowing people to set custom value, both long and short.
Comment 6 Jaroslav Tulach 2005-09-13 07:41:35 UTC
My advice is to add new factory method instead of the setter. 
Comment 7 Milos Kleint 2005-09-14 07:05:43 UTC
well, unfotunately that would mean add 4 new factory methods, instead of the 2
setters. Also the setter has the advantage that in 90% cases the API users don't
have to care about it. With additional factory methods you have to explicitly
decide which method to use and understand what the initial delay is for.
Comment 8 Jaroslav Tulach 2005-09-14 13:12:51 UTC
Ok, it was just advice. I just believe that if something makes sence to be set 
just ones, it should not be setter. 
Comment 9 Milos Kleint 2005-09-23 14:35:08 UTC
reassigning
Comment 10 Milos Kleint 2005-09-26 11:56:43 UTC
done, api added.

Checking in manifest.mf;
/cvs/core/progress/manifest.mf,v  <--  manifest.mf
new revision: 1.5; previous revision: 1.4
done
Checking in api/doc/changes/apichanges.xml;
/cvs/core/progress/api/doc/changes/apichanges.xml,v  <--  apichanges.xml
new revision: 1.4; previous revision: 1.3
done
Checking in src/org/netbeans/api/progress/ProgressHandle.java;
/cvs/core/progress/src/org/netbeans/api/progress/ProgressHandle.java,v  <-- 
ProgressHandle.java
new revision: 1.3; previous revision: 1.2
done
Checking in src/org/netbeans/api/progress/aggregate/AggregateProgressHandle.java;
/cvs/core/progress/src/org/netbeans/api/progress/aggregate/AggregateProgressHandle.java,v
 <--  AggregateProgressHandle.java
new revision: 1.4; previous revision: 1.3
done


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo